/* ------------------------------ */
/* ----------- Buttons ---------- */
/* ------------------------------ */

/* General */
.section > .section__button, .section .row > div > .section__button, .section > .section__buttons, .section .row > div > .section__buttons {
    margin-top: 0;
    padding-top: 0;
}
  
.section__button--center, .section__buttons--center {
    text-align: center;
}
  
.section > .section__title + .section__button .button, .section > .section__title + .section__buttons .button {
    margin-top: 0;
}

.section__buttons .button, .buttons .button, .button--small {
    display: inline-block;
}
  
.section__buttons .button, .buttons .button {
    margin-right: var(--spacing-6);
}
  
.section__buttons .button:last-child, .buttons .button:last-child {
    margin-right: 0;
}

.button > a, button:not(.menu__category), .button > span, .cookie_box button {
    position: relative;
    display: inline-block;
    font-size: var(--font-size-2);
    letter-spacing: 0.15em;
    font-weight: 400;
    text-transform: uppercase;
}


/* Button */
.button--normal a, .button--normal button, .cookie_box button {
    padding: 16px 36px 14px;
    color: var(--brand-white);
    min-width: 217px;
    border-radius: 33px;
}

.macos .button--normal a, .macos .button--normal button, .macos .cookie_box button,
.ios .button--normal a, .ios .button--normal button, .ios .cookie_box button,
.firefox .button--normal a, .firefox .button--normal button, .firefox .cookie_box button {
    padding-top: 15px;
}

.button--normal a span, .button--normal button span, .cookie_box button span {
    z-index: 2;
    position: relative;
}

.button--normal a::before, .button--normal button::before, .cookie_box button::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--brand-color-1);
    border-radius: 33px;
    -webkit-transition: var(--transition-2);
    -o-transition: var(--transition-2);
    transition: var(--transition-2);
    z-index: 1;
}

.no-touchevents .button--normal a:hover::before, .no-touchevents .button--normal button:hover::before, .no-touchevents .cookie_box button:hover::before {
    -webkit-transform: scale(1.1);
        -ms-transform: scale(1.1);
            transform: scale(1.1);
}

button {
    cursor: pointer;
    padding: 0;
    line-height: var(--line-height-1);
    color: var(--brand-black);
    background-color: transparent;
    border: 0;
}



/* Small */
.button--small a, .button--small span {
    color: var(--brand-color-1);
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
}




/* Big */
.link_container {
    position: relative;
    display: inline-block;
    padding: 6px 28px 6px 0;
}

.link_container span {
    position: relative;
    display: inline;
    overflow: hidden;
    padding: 10px 28px 10px 0;
    font-size: var(--font-size-3);
    font-weight: 400;
    line-height: var(--line-height-1);
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: var(--brand-color-1);
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
}




/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 768px) {

    .button--small a, .button--small span {
        padding-right: var(--spacing-6-5);
    }

    .no-touchevents .button--small a:hover, .no-touchevents .button--small span:hover, .no-touchevents .hover_container:hover .button--small a, 
    .no-touchevents .hover_container:hover .button--small span {
        padding-right: 0;
        padding-left: var(--spacing-6-5);
    }

}


@media all and (min-width: 992px) {

    .no-touchevents .link_container a:hover + span {
        padding-right: 0;
        padding-left: 28px;
    }

}


@media all and (max-width: 991.98px) {

    .button--small.button--back span, .button--small.button--back a {
        padding-right: 0;
    }

}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .button--small.button--back span, .button--small.button--back a {
        padding-left: var(--spacing-6-5);
    }

}

@media all and (max-width: 767.98px) {

    .button--small a, .button--small span {
        padding-right: var(--spacing-6-5);
    }

    .button--small.button--back span, .button--small.button--back a {
        padding-left: var(--spacing-6-5);
    }

}


@media all and (max-width: 575.98px) {

    .button--normal a, .button--normal button, .cookie_box button {
        padding: 14px 32px 12px;
    }

    .macos .button--normal a, .macos .button--normal button, .macos .cookie_box button,
    .ios .button--normal a, .ios .button--normal button, .ios .cookie_box button,
    .firefox .button--normal a, .firefox .button--normal button, .firefox .cookie_box button {
        padding-top: 13px;
    }

    .button--small.button--back span, .button--small.button--back a {
        padding-left: var(--spacing-6);
    }

}